unit Keyb; {pro Turbo Pascal 7.0 - verze 12/97}

{ ZKLADN podpora prce s (nejblbjm a nejpouvanjm) ovladaem
  esk klvesnice KEYB.COM.

  Umouje: - detekovat KEYB.COM v pamti
            - zjistit aktivn klvesnici
            - nastavit anglickou/eskou klvesnici

  Testovno: MS-DOS 6.22, MS-DOS 7.1 (Windows 95 CZ Rel. 2).

  Pehled zmn: 12/97 zkladn verze sepsan podle Interrupt Listu 53

  Poznmka: Pokud nahrajete KEYB.COM s jinou ne eskou klvesnic, bude
            to samozejm pepnat taky - mezi anglickou a "toudruhou".

Ŀ
 UPOZORNN: Tento soubor je PUBLIC DOMAIN, take si s nm mete dlat, 
 co chcete (teba vytisknout a povsit na ze:-), ale NA VLASTN RIZIKO. 


                                  Michal Jungmann <jungmann@braillnet.cz> }

interface

function Test: Boolean;  {TRUE pokud je KEYB.COM v pamti}
procedure SetUS;         {nastav anglickou klvesnici - jako Ctrl+Alt+F1}
procedure SetCZ;         {nastav eskou klvesnici - jako Ctrl+Alt+F2}
function CzOn: Boolean;  {TRUE pokud je aktivn esk klvesnice}


implementation

function Test: Boolean; assembler;
asm
 mov AX, $AD80
 int $2F
 cmp AL, $FF
 mov AL, 00
 jnz @End
 inc AL
@End:
end; {Test}

procedure SetUS; assembler;
asm
 mov AX, $AD82
 mov BL, 00
 int $2F
end; {SetUS}

procedure SetCZ; assembler;
asm
 mov AX, $AD82
 mov BL, $FF
 int $2F
end; {SetCZ}

function CzOn: Boolean; assembler;
asm
 mov AX, $AD83
 int $2F
 mov AL, BL
end; {CzOn}

end. {of unit}